﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using UnityEngine.SceneManagement;

public class GameManager : MonoBehaviour {

	// Punktestand
	private int score;
	// Textfeld für Punktestand
	public Text scoreText;
	// Restart Panel
	public GameObject restartPanel;

	// Use this for initialization
	void Start () {
		score = 0;
		scoreText.text = score.ToString();
		// RestartPanel zu Beginn deaktivieren
		restartPanel.SetActive (false);
	}
	
	// Update is called once per frame
	void Update () {
		
	}

	public void AddScore()
	{
		// Füge +1 zum Score hinzu
		score = score +1;
		// Textfeld aktualisieren
		scoreText.text = score.ToString();
	}

	public void EndRound()
	{
		// Logik für das Rundenende
		Debug.Log ("Runde ist zu Ende");
		// Szene einfrieren
		Time.timeScale = 0f;
		// Panel erscheinen -> Neustart
		restartPanel.SetActive(true);
		// Button "Neustart" -> Neustart durchführen
	}

	public void RestartRound()
	{
		// Starte Spiel erneut
		//SceneManager.LoadScene("Level01");
		SceneManager.LoadScene (SceneManager.GetActiveScene().buildIndex);

	}

	public void LoadMainMenu()
	{
		// Hauptmenü laden -> Scene MainMenu
		SceneManager.LoadScene("MainMenu");
	}
}
